Get Table Sheet Scorecard Calculation
curl --request GET \
--url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/scorecard/calculations/{calculation_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/scorecard/calculations/{calculation_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/scorecard/calculations/{calculation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"calculation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scorecard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": 123,
"sheet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sheet_revision": "<string>",
"criterion_summaries": {},
"aggregate_score": 123,
"drift_summary": {},
"config_hash": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error_summary": "<string>"
},
"criterion_summaries": {},
"drift_summary": {}
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Tables
Get Scorecard Calculation
Get details for a single scorecard calculation.
GET
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
scorecard
/
calculations
/
{calculation_id}
Get Table Sheet Scorecard Calculation
Get details for one scorecard calculation.
Use this endpoint to poll run status and retrieve aggregate verdict, criterion summaries, drift summary, and errors.
Authorizations
Headers
Your PromptLayer API key. The key's workspace scopes table resources for this request.
Path Parameters
Table ID.
Table sheet ID.
Scorecard calculation ID.
Was this page helpful?
⌘I

